Skip to main content
GET
/
v1.0.0
/
hvacs
/
{hvacId}
/
refresh
Refresh HVAC data
curl --request GET \
  --url https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}/refresh \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}/refresh"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}/refresh', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "isOnline": true, "id": "6eb5497d-c6bb-4290-84ef-4409fe9501f1", "userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9", "staticData": { "lastUpdated": "2023-11-07T05:31:56Z", "model": "Vitotronic 200", "capableModes": [], "name": "Viessmann Vitotronic 200", "room": "Living room" }, "lastUpdated": "2023-11-07T05:31:56Z", "powerState": { "lastUpdated": "2023-11-07T05:31:56Z", "powerConsumption": 123 }, "locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "climateState": { "mode": "HEAT", "lastUpdated": "2023-11-07T05:31:56Z", "temperatureTargets": [ { "mode": "HEAT", "temperature": 18.1 } ], "isActive": true, "temperatureCurrent": 20.3, "temperatureOutside": 12.1 } }

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

hvacId
string<uuid>
required

Hvac ID

Response

Successful operation

Object of HVAC response.

isOnline
boolean
required

Indicates if the HVAC is reachable trough the vendor system.

Example:

true

id
string<uuid>
required

The ID of the HVAC.

Example:

"6eb5497d-c6bb-4290-84ef-4409fe9501f1"

userId
string
required

The ID of the user.

Example:

"896f9d5a-b618-48a2-98ae-957059bf1bc9"

staticData
object
required

Object of static data of a HVAC.

lastUpdated
string<date-time>

The timestamp of the last update of any variable of the HVAC.

powerState
object

Object of power state of HVAC device.

locationId
string<uuid>

The location ID of the HVAC.

climateState
object

Object of climate state of HVAC device.